Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes
PROTOTYPE Struct Reference

`#include <cluster.h>`

List of all members.

## Public Attributes

unsigned | Significant:1
unsigned | Merged:1
unsigned | Style:2
unsigned | NumSamples:28
CLUSTER * | Cluster
DISTRIBUTION * | Distrib
FLOAT32 * | Mean
FLOAT32 | TotalMagnitude
FLOAT32 | LogMagnitude
FLOATUNION | Variance
FLOATUNION | Magnitude
FLOATUNION | Weight

## Detailed Description

Definition at line 67 of file cluster.h.

## Member Data Documentation

CLUSTER* PROTOTYPE::Cluster

Definition at line 76 of file cluster.h.

DISTRIBUTION* PROTOTYPE::Distrib

Definition at line 77 of file cluster.h.

FLOAT32 PROTOTYPE::LogMagnitude

Definition at line 80 of file cluster.h.

FLOATUNION PROTOTYPE::Magnitude

Definition at line 82 of file cluster.h.

FLOAT32* PROTOTYPE::Mean

Definition at line 78 of file cluster.h.

unsigned PROTOTYPE::Merged

Definition at line 69 of file cluster.h.

unsigned PROTOTYPE::NumSamples

Definition at line 75 of file cluster.h.

unsigned PROTOTYPE::Significant

Definition at line 68 of file cluster.h.

unsigned PROTOTYPE::Style

Definition at line 74 of file cluster.h.

FLOAT32 PROTOTYPE::TotalMagnitude

Definition at line 79 of file cluster.h.

FLOATUNION PROTOTYPE::Variance

Definition at line 81 of file cluster.h.

FLOATUNION PROTOTYPE::Weight

Definition at line 83 of file cluster.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/cluster.h